Subject: bug#24896: JSX prop indentation after fat arrow

From: Felipe Ochoa <[email-masked]>
Date: Thu, 8 Dec 2016 12:12:42 +0100

Thanks -- seems reasonable. I figured as much but wanted to confirm.

I wonder what could be done in js-mode, too. A syntax-propertize-function
> rule, maybe.

syntax-propertize-function is outside my limited knowledge of emacs
internals. But to the extent that one could say "Outside of comments and
strings, propertize `=>' as punctuation," I imagine that would fix it.

Also, this may be a dumb question, but are the tests in the "manual"
directory meant to be run manually? If not, how would I run the tests there?

And then finally, should I just email a patch with the proposed change &
tests for this?

(Sorry Jackson for the double email -- forgot to reply all)